php和wordpress中版本显示不一致问题

现象

更新php到7.4后,在wordpress面板仍然提示php版本为7.1,通过或 php -v命令确认7.4更新成功,让人疑惑。

分析

  1. 既然php -v没有问题,那么就是web server相关使用的版本没更新,web server部分我们使用的是php-fpm。
  2. 搜索php-fpm,找到相关执行文件,确认php-fpm -v,确认是7.1。

解决

既然确认是php-fpm的问题,最简单的就是通过yum来更新php对应的php-fpm,更新后在检查,确认版本已经变成7.4。

发表评论

邮箱地址不会被公开。 必填项已用*标注